<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.moka.gdtauto.mapper.LoadPageConfMapper">

    <insert id="saveIfNeed">
        INSERT INTO load_page_conf (name, page_id, create_user_id, create_user_name, deleted)
        VALUES (#{name}, #{pageId}, #{createUserId}, #{createUserName}, #{deleted})
        ON DUPLICATE KEY UPDATE 
        name = VALUES(name),
        create_user_id = VALUES(create_user_id),
        create_user_name = VALUES(create_user_name), 
        deleted = VALUES(deleted)
    </insert>
</mapper>
